Package helma.objectmodel

# Interface INodeState

All Known Subinterfaces:
  `INode`

All Known Implementing Classes:
  `Node`, `NodeHandle`, `TransientNode`

public interface INodeState
Interface that defines states of nodes

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CLEAN`
`static final int`
`DELETED`
`static final int`
`INVALID`
`static final int`
`MODIFIED`
`static final int`
`NEW`
`static final int`
`TRANSIENT`
`static final int`
`VIRTUAL`

## Field Details

### TRANSIENT

static final int TRANSIENT

See Also:
  - Constant Field Values

### VIRTUAL

static final int VIRTUAL

See Also:
  - Constant Field Values

### INVALID

static final int INVALID

See Also:
  - Constant Field Values

### CLEAN

static final int CLEAN

See Also:
  - Constant Field Values

### NEW

static final int NEW

See Also:
  - Constant Field Values

### MODIFIED

static final int MODIFIED

See Also:
  - Constant Field Values

### DELETED

static final int DELETED

See Also:
  - Constant Field Values